var vm = new Vue({
			el: '#app',
			data: {
				configsList: [],
				bannerList:"",
				cecIdList:[],
				configsTimeslist:[],
				businessInfo:[],
				oldBusinessInfo:[],
				clickIndex:'',
				loading: false,
				apiUrl:'https://restfulapi.huishoushang.com',
				// apiUrl:'http://192.168.1.249:8244',
				// shopUrl:'.zhhssw.com?source=yzt315', //店铺主页跳转 测试
				shopUrl:'.huishoushang.com?source=yzt315',
				// shopDetailsUrl :'http://www.zhhssw.com', //商品详情跳转 测试
				shopDetailsUrl :'http://www.huishoushang.com',
				tabIndex:0,
				active:false,
				activeIndex:0,
				startMonth:0,
				buttonIndex:null,
				bottonInfoList:[],
				showItem:1,
				formList: {
					mobile: '',
					area:[]
				},
				tel:'',
				spType:2,
				content:'',
				areaData: [],
				messageMobile:'',
				messageTel:'',
				messageArea:'',
				messageContent:'',
				isCallback:0,
				isSubmitting:false,
				isgetmassge:false,
			},
			created() {
			  this.getMenu(null,100)
			  this.getBasicInfo()
			  // this.getBusinessInfo()
			},
			methods: {
				mouseMoveAll(){
					this.active=true
				},
				mouseOverAll(){
					this.active=false
				},
                tabs(index){
					this.tabIndex = index
				},
				//获取优秀回收商
				getMenu(cecId,top){
					//this.loading=true
					let url = this.apiUrl+'/api/activity/cloud-exhibition/configs'
					if(cecId){
						axios.get(url, {params:{cecId:cecId,top:top}}).then((res) => {
								if(res.data.code == 200){
									this.configsTimeslist = res.data.data
									this.bottonInfoList = res.data.data
								}else{
									this.$message({
										 message: res.data.data.Message,
										 center: true,
										 type:'error'
									});
								}
						     /*   this.loading=false; */
							})
							.catch(function(error) { // 请求失败处理
								console.log(error);
							});
					}else{
						axios.get(url, {params:{cecId:cecId,top:top}}).then((res) => {
							if(res.data.code == 200){
								this.configsList = res.data.data
								this.bottonInfoList = res.data.data 
								this.configsTimeslist = this.configsList.slice(this.startMonth, 5)
								this.bannerList = this.configsList[0].cecPcBanner
								if(this.configsList.length > 1 ){
									this.cecIdList.push(this.configsList[0].cecId)
									this.cecIdList.push(this.configsList[1].cecId)
								}else{
									this.cecIdList=this.configsList[0].cecId
								}
								this.getBusinessInfo(this.cecIdList)
							}else{
								this.$message({
									 message: res.data.data.Message,
									 center: true,
									 type:'error'
								});
							}
					     /*   this.loading=false; */
						})
						.catch(function(error) { // 请求失败处理
							console.log(error);
						});
						}
					
				},
				//获取商机推荐
				getBusinessInfo(cid){
					//this.loading=true
					let url = this.apiUrl+'/api/activity/cloud-exhibition/member-record-pc'
					let params = {idArr:cid}
					axios.post(url, params).then((res) => {
							if(res.data.code == 200){
									this.businessInfo =[]
								this.businessInfo = res.data.data[0]
								this.oldBusinessInfo = res.data.data[1]
								 // 强制更新组件视图
								        this.$forceUpdate()
							}else{
								this.$message({
									 message: res.data.data.Message,
									 center: true,
									 type:'error'
								});
							}
					     /*   this.loading=false; */
						})
						.catch(function(error) { // 请求失败处理
							console.log(error);
						});
				},
				// 获取导航展示
				setActiveIndex(i){
					this.activeIndex = i
					this.bannerList = this.configsList[i].cecPcBanner
					//点击展示最后一个逻辑
					if(this.configsTimeslist.length==i+1){
						this.getActiveIndex(i)
					}else{
						let idArr = []
						idArr.push(this.configsTimeslist[i].cecId)
						idArr.push(this.configsTimeslist[(i+1)].cecId)
						this.getActiveIndex(i)
					}
					
				},
				getActiveIndex(i){
					let url = this.apiUrl+'/api/activity/cloud-exhibition/configs'
					axios.get(url, {params:{cecId:this.configsTimeslist[i].cecId,top:5}}).then((res) => {
						if(res.data.code == 200){
							if(res.data.data.length>1){
								this.bottonInfoList = res.data.data
								let target = this.configsTimeslist[this.activeIndex].cecId;
								for(var j=0; j<this.configsList.length; j++){
								  if(this.configsList[j].cecId === target){
								        this.buttonIndex = j
								  }
								}
								let idArr = []
								idArr.push(this.configsTimeslist[i].cecId)
								idArr.push(this.configsList[(this.buttonIndex+1)].cecId)
								this.getBusinessInfo(idArr)
							}else{
								this.getBusinessInfo([this.configsTimeslist[i].cecId])
							}
						}
					}).catch(function(error) { // 请求失败处理
						console.log(error);
					});
				},
				// 获取全部里面点击的时间
				setActivetime(index){
						this.activeIndex = 0
					this.startMonth = index
					this.bannerList = this.configsList[index].cecPcBanner
					if(this.configsList.length==index+1){
						this.getBusinessInfo([this.configsList[index].cecId])
						this.getMenu(this.configsList[index].cecId,5)
					}else{
						let cecId  = []
						cecId .push(this.configsList[index].cecId)
						cecId .push(this.configsList[(index+1)].cecId)
						this.getBusinessInfo(cecId)
						this.getMenu(this.configsList[index].cecId,5)
					}
					
				},
				
				 //获取地址
				 getBasicInfo() {
				 	let url = this.apiUrl + '/api/basic/all';
				 	axios.get(url, {}).then((res) => {
				 		let data = res.data
				 		if (data.code === 200) {
				 			this.dataCategoryList = data.data.dataCategoryList
				 			this.category = 1
				 			let _areaData = data.data.provinceList
				 			_areaData.forEach(item => {
				 				item.value = item.code
				 				item.label = item.name
				 				item.children = []
				 				item.loading = false
				 			})
				 			this.areaData = _areaData
				 		}
				 	})
				 },
				 async loadData(item, callback) {
				 	item.loading = true
				 	setTimeout(() => {
				 		let url = this.apiUrl + '/api/basic/CityListByProvinceCode';
				 		let params={
				 			ProvinceCode: item.value
				 		}
				 		axios.get(url, {params}).then((res) => {
				 			let data = res.data
				 			let cityData = data.data
				 			cityData.forEach(item => {
				 				item.value = item.code
				 				item.label = item.name
				 			})
				 			item.children = cityData
				 			item.loading = false
							if(this.isCallback==0){
								callback()
							}else{
								this.isCallback=0
							}
				 			
				 		})
				 	}, 1000)
				 },
				//获取手机号归属地	 
				 getInputValue(){
					 this.isCallback=1
				 const inputValue = this.formList.mobile;
				    // 处理输入框的值
				    console.log("输入框的值为：" + inputValue);
					 // 手机号码验证
					 let reg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
					 if(this.formList.mobile == ''){
						this.messageMobile ="请填写手机号"
					 	return;
					 }else if (this.formList.mobile.length <= 10 || !reg.test(this.formList.mobile)) {
						 this.messageMobile ="请填写正确的手机号"
						 return;
					 }else{
						 this.messageMobile =""
						 let url = this.apiUrl + '/api/common/message/mobile/area';
						 let params={
							'mobile': this.formList.mobile
						 }
						 axios.get(url, {params}).then((res) => {
							 console.log(res);
							let data = res.data
							if (data.code === 200 && data.data.p_Code) {
								this.formList.area=[]
								let pcode = Number(data.data.p_Code)
								let ccode = Number(data.data.c_Code)
								this.formList.area=[pcode,ccode]
								this.loadData(Number(res.data.data.p_Code))
							}else if (data.code === 200 && data.data.p_Code==null){
								this.formList.area=[]
							}
						 })		
					 }
					
				 },
						 submitFun(){
							   if (this.isSubmitting) { // 正在提交中，不执行操作
							     return this.$message({
													 message: "正在提交中，请勿多操作",
													 center: true,
													 type: 'error'
												});
							   }
									 // 手机号码验证
									 let reg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
									 if(this.formList.mobile == ''){
										this.messageMobile ="请填写手机号"
									 	return;
									 }else if (this.formList.mobile.length <= 10 || !reg.test(this.formList.mobile)) {
										 this.messageMobile ="请填写正确的手机号"
										 return;
									 }else{
										 this.messageMobile =""
										
									 }
									  
									 //选择地区
									 if (this.formList.area == '' && this.formList.area !='请选择地区') {
									 	this.messageArea='请选择地区'
									 	return;
									 }else{
										 this.messageArea =""
									 }
									 console.log(this.formList.area);
									 // 节流处理
									   this.isSubmitting = true;
									   setTimeout(() => {
									 let url = this.apiUrl+'/api/common/message/apply'
									 let params = {
										'name':'老板',  //姓名
										'mobile':this.formList.mobile, //电话
										'levelType':0,  //申请会员级别
										'pcode':this.formList.area[0],  //地区市
										'ccode':this.formList.area[1], //地区县
										'source':1,  //来源 1：pc；2：wap；3：app
										'sourcePort':11,
										'addType':0, //类别：0:增值服务 1升级 2续费 3续费升级 4:私人定制
									 }
									 axios.post(url, params).then((res) => {
									 		if(res.data.code == 200){
												this.$message({
													 message: "提交成功",
													 center: true,
													 type: 'success'
												});
												this.formList.area=[]
												this.formList.mobile=''
									 		}else{
									 			this.$message({
									 				 message: res.data.message,
									 				 center: true,
									 				 type:'error'
									 			});
												this.formList.area=[]
												this.formList.mobile=''
									 		}
									 	})
									 	.catch(function(error) { // 请求失败处理
									 		console.log(error);
									 	})
										.finally(() => {
										        this.isSubmitting = false; // 提交完成，将isSubmitting恢复为false
										      });
										  }, 5000); 
								 },
				 // 右侧浮窗
				  handleClick(e) {
				 		this.showItem=e
				  },
				  spTypeClick(i){
				 	this.spType=i
				  },
				 //快速发布
				 	getLeaveMessage(){
						if (this.isgetmassge) { // 正在提交中，不执行操作
						  return this.$message({
								 message: "正在提交中，请勿多操作",
								 center: true,
								 type: 'error'
							});
						}
				 	  // 手机号码验证
				 	  let reg = /^[1][3,4,5,6,7,8,9][0-9]{9}$/;
				 	   if(this.tel == ''){
				 		this.messageTel ="请填写手机号"
				 		return;
				 	  }else if (this.tel.length <= 10 || !reg.test(this.tel)){
				 		this.messageTel ="请填写正确的手机号"
				 	   return;
				 	  }else{
				 		this.messageTel =""
				 	  }
				 	  //选择地区
				 	  if ((this.content).trim() == '' ) {
				 		this.messageContent='请输入您的采购/处置信息'
				 		return;
				 	  }else{
				 		this.messageContent =""
				 	  }
					  // 节流处理
					    this.isgetmassge = true;
					    setTimeout(() => {
				 	  let url = this.apiUrl+'/api/member/simplify-pub-message'
				 	  let params = {
				 		 "name": "老板",//姓名
				 		  "tel": this.tel,//电话
				 		  "content": this.content,
				 		  "sourceType": 0,//留言来源
				 		  "spType": this.spType, //我要卖货  1 我要买货2
				 		  "pageUrl": "https://www.huishoushang.com/html/cloudExhibition/index.html",//页面地址
				 		  "pageTitle": "云展厅",//页面标题
				 	  }
				 	  axios.post(url, params).then((res) => {
				 			console.log(res)
				 			if(res.data.code == 200){
				 				this.$message({
				 					 message: "提交成功",
				 					 center: true,
				 					 type: 'success'
				 				});
				 				this.tel=''				
				 				this.content=''				
				 			}else{
				 				this.$message({
				 					 message: res.data.message,
				 					 center: true,
				 					 type:'error'
				 				});
				 				this.tel=''
				 				this.content=''	
				 			}
				 		   /*   this.loading=false; */
				 		})
				 		.catch(function(error) { // 请求失败处理
				 			console.log(error);
				 		})
						.finally(() => {
						        this.isgetmassge = false; // 提交完成，将isgetmassge恢复为false
						      });
						  }, 5000); 
				 	}
				 
				 }
		})